package com.example.demo.messages.api;

import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonProperty;

import jakarta.validation.constraints.NotBlank;

// DTO для сущности "Сообщение"
public class MessageDto {
    // Идентфикатор
    private Long id;

    // Электронная почта отправителя
    private String userEmail;

    // Текст сообщения
    @NotBlank
    private String text;

    // Дата отправки
    private LocalDateTime date;

    // Признак публикации сообщения
    @JsonProperty(defaultValue = "false")
    private boolean isPublished;

   // Получить идентификатор
    public Long getId() {
        return id;
    }

    // Установить идентификатор
    public void setId(Long id) {
        this.id = id;
    }

    // Получить элктронную почту отправителя сообщения
    public String getUserEmail() {
        return userEmail;
    }

    // Установить электронную почту отправителя сообщения
    public void setUserEmail(String userEmail) {
        this.userEmail = userEmail;
    }

    // Получить текст сообщения
    public String getText() {
        return text;
    }

    // Установить текст сообщения
    public void setText(String text) {
        this.text = text;
    }

    // Получить дату отправления
    public LocalDateTime getDate() {
        return date;
    }

    // Установить дату отправления
    public void setDate(LocalDateTime date) {
        this.date = date;
    }

    // Получить признак публикации сообщения
    public boolean getIsPublished() {
        return isPublished;
    }

    // Установить признак публикации сообщения
    public void setIsPublished(boolean isPublished) {
        this.isPublished = isPublished;
    }
}
