package com.example.demo.orders.api;

import jakarta.validation.constraints.Min;
import jakarta.validation.constraints.NotNull;

// DTO для сущности "Заказ" (Заказ, содержащий книги) 
public class OrderDto {
    // Идентфикатор
    private Long id;

    // Название типа книги
    @NotNull
    @Min(1)
    private String typeName;

    // Цена книги
    @NotNull
    @Min(1)
    private Double price;

    // Количество книг
    @NotNull
    @Min(1)
    private Integer count;

    // Получить идентификатор
    public Long getId() {
        return id;
    }

    // Установить идентификатор
    public void setId(Long id) {
        this.id = id;
    }

    // Получить название типа книги
    public String getTypeName() {
        return typeName;
    }

    // Установить название типа книги
    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    // Получить цену книги
    public Double getPrice() {
        return price;
    }

    // Установить цену книги
    public void setPrice(Double price) {
        this.price = price;
    }

    // Получить количество книг
    public Integer getCount() {
        return count;
    }

    // Установить количество книг
    public void setCount(Integer count) {
        this.count = count;
    }

    // Получить сумму заказа
    public Double getSum() {
        return price * count;
    }
}
