package com.example.demo.types.model;

import java.util.Objects;

import com.example.demo.core.model.BaseEntity;

import jakarta.persistence.Entity;
import jakarta.persistence.Table;
import jakarta.persistence.Column;

// Сущность "Тип" (Тип книги)
@Entity
@Table(name = "types")
public class TypeEntity extends BaseEntity {
    // Название типа
    @Column(nullable = false, unique = true, length = 50)
    private String name;

    // Конструктор по умолчанию
    public TypeEntity() {
    }

    // Конструктор с параметрами для создания объекта
    public TypeEntity(String name) {
        this.name = name;
    }

    // Получить название типа
    public String getName() {
        return name;
    }

    // Установить название типа
    public void setName(String name) {
        this.name = name;
    }

    // Получить хэш-код объекта
    @Override
    public int hashCode() {
        return Objects.hash(id, name);
    }

    // Сравнить объекты
    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null || getClass() != obj.getClass())
            return false;
        final TypeEntity other = (TypeEntity) obj;
        return Objects.equals(other.getId(), id)
                && Objects.equals(other.getName(), name);
    }
}
