package com.example.demo.users.model;

import org.springframework.security.core.GrantedAuthority;

// Класс перечисление для ролей пользователя
public enum UserRole implements GrantedAuthority {
    ADMIN, // Администратор
    USER; // Пользователь

    // Префикс роли
    private static final String PREFIX = "ROLE_";

    // Получить роль с префиксом
    @Override
    public String getAuthority() {
        return PREFIX + this.name();
    }
}
