package com.example.demo.users.repository;

import java.util.Optional;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.example.demo.users.model.UserEntity;

// Хранилище для сущности "Пользователь"
public interface UserRepository extends CrudRepository<UserEntity, Long>, PagingAndSortingRepository<UserEntity, Long> {
    // Получить список всех пользовалей (с пагинацией)
    Page<UserEntity> findAll(Pageable pageable);

    // Получить пользователя по имени/логину 
    Optional<UserEntity> findByUsername(String username);

    // Получить пользователя по адресу электронной почты
    Optional<UserEntity> findByEmail(String email);
}
